Page MenuHomePhabricator

MWException: No content in banner -- BannerMessageGroup translation update job
Closed, ResolvedPublic

Description

Author: mwalker

Description:
In CentralNotice we're getting fatals on new banner creation/editing. This seems to be linked the the BannerMessageGroup update jobs. It's looking like we somehow have orphan entries in the rev table where non existent pages are marked for translation.

2013-08-21 15:46:39 mw1015 metawiki: [4de2607b] [no req] Exception from line 27 of /usr/local/apache/common-local/php-1.22wmf13/extensions/CentralNotice/includes/Banner.php: No content for banner: B13_0821_form_bluebg_en
#0 /usr/local/apache/common-local/php-1.22wmf13/extensions/CentralNotice/includes/Banner.php(62): Banner->getContent()
#1 /usr/local/apache/common-local/php-1.22wmf13/extensions/CentralNotice/includes/BannerMessageGroup.php(42): Banner->extractMessageFields()
#2 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/messagegroups/MessageGroupOld.php(300): BannerMessageGroup->getDefinitions()
#3 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(374): MessageGroupOld->initCollection('qqq')
#4 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(327): MessageGroupStats::calculateGroup(Object(BannerMessageGroup), 'qqq')
#5 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(83): MessageGroupStats::forItemInternal(Array, Object(BannerMessageGroup), 'qqq')
#6 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStatesUpdaterJob.php(55): MessageGroupStats::forItem('Centralnotice-t...', 'qqq')
#7 /usr/local/apache/common-local/php-1.22wmf13/maintenance/runJobs.php(101): MessageGroupStatesUpdaterJob->run()
#8 /usr/local/apache/common-local/php-1.22wmf13/maintenance/doMaintenance.php(115): RunJobs->execute()
#9 /usr/local/apache/common-local/php-1.22wmf13/maintenance/runJobs.php(181): require_once('/usr/local/apac...')
#10 /usr/local/apache/common-local/multiversion/MWScript.php(97): require_once('/usr/local/apac...')
#11 {main}

And

2013-08-21 15:49:38 mw1044 metawiki: [2ae30651] /wiki/Special:LanguageStats Exception from line 27 of /usr/local/apache/common-local/php-1.22wmf13/extensions/CentralNotice/includes/Banner.php: No content for banner: B13_0821_form_bluebg_en
#0 /usr/local/apache/common-local/php-1.22wmf13/extensions/CentralNotice/includes/Banner.php(62): Banner->getContent()
#1 /usr/local/apache/common-local/php-1.22wmf13/extensions/CentralNotice/includes/BannerMessageGroup.php(42): Banner->extractMessageFields()
#2 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/messagegroups/MessageGroupOld.php(300): BannerMessageGroup->getDefinitions()
#3 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(374): MessageGroupOld->initCollection('en')
#4 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(327): MessageGroupStats::calculateGroup(Object(BannerMessageGroup), 'en')
#5 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(233): MessageGroupStats::forItemInternal(Array, Object(BannerMessageGroup), 'en')
#6 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/utils/MessageGroupStats.php(95): MessageGroupStats::forLanguageInternal('en')
#7 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/specials/SpecialLanguageStats.php(374): MessageGroupStats::forLanguage('en')
#8 /usr/local/apache/common-local/php-1.22wmf13/extensions/Translate/specials/SpecialLanguageStats.php(153): SpecialLanguageStats->getTable()
#9 /usr/local/apache/common-local/php-1.22wmf13/includes/SpecialPage.php(631): SpecialLanguageStats->execute(NULL)
#10 /usr/local/apache/common-local/php-1.22wmf13/includes/SpecialPageFactory.php(489): SpecialPage->run(NULL)
#11 /usr/local/apache/common-local/php-1.22wmf13/includes/Wiki.php(291): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#12 /usr/local/apache/common-local/php-1.22wmf13/includes/Wiki.php(584): MediaWiki->performRequest()
#13 /usr/local/apache/common-local/php-1.22wmf13/includes/Wiki.php(458): MediaWiki->main()
#14 /usr/local/apache/common-local/php-1.22wmf13/index.php(55): MediaWiki->run()


Version: unspecified
Severity: normal

Details

Reference
bz53186

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:08 AM
bzimport set Reference to bz53186.
bzimport added a subscriber: Unknown Object (MLST).

Can I help somehow?

This particular banner is one I created, then deleted almost immediately afterwards when I realised I'd got the naming wrong. Not sure if that could have been a factor...

mwalker wrote:

(In reply to comment #1)

Can I help somehow?

Niklas, nope; I just added you as an FYI because it gets generated during translation jobs.

(In reply to comment #2)

This particular banner is one I created, then deleted almost immediately
afterwards when I realised I'd got the naming wrong. Not sure if that could
have been a factor...

Interesting; they are orphaned; so apparently the delete action is not completing successfully in some cases.

Aklapper lowered the priority of this task from High to Low.Dec 29 2014, 12:13 AM
Aklapper added a subscriber: Aklapper.

Has this problem ever been seen again? In any case I'm decreasing priority; feel free to raise again if still something to fix rather sooner than later.

awight closed this task as Resolved.Oct 21 2015, 8:12 AM
awight claimed this task.